Subject: bug#28545: Error in build for Debian - emacs25-25.2+1

From: Glenn Morris <[email-masked]>
Date: Fri, 22 Sep 2017 11:51:51 -0400

"Leo Silva (a.k.a kirotawa)" wrote:

> I'm trying to build emacs25-25.2+1 and facing this issue in build time
[...]
> Test package-test-update-archives-async condition:
>     (error "Error retrieving: http://0.0.0.0:8000/archive-contents
> (error connection-failed \"failed with code 111
> \" :host \"0.0.0.0\" :service 8000)")
>    FAILED  17/20  package-test-update-archives-async

So, you've succesfully built Emacs, and a single (?) test is failing.
I'd suggest you just ignore the test failure. This test starts an
external process using python to listen on a local address, and in my
experience it not infrequently fails to start properly. I think the
failure is probably unrelated to Emacs.